Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 776181 (CVE-2021-21191, CVE-2021-21192, CVE-2021-21193) - <www-client/chromium-89.0.4389.90 <www-client/google-chrome-89-0.4389.90: multiple vulnerabilities (CVE-2021-{21191,21192,21193})
Summary: <www-client/chromium-89.0.4389.90 <www-client/google-chrome-89-0.4389.90: mul...
Status: RESOLVED FIXED
Alias: CVE-2021-21191, CVE-2021-21192, CVE-2021-21193
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://chromereleases.googleblog.com...
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-14 19:51 UTC by Hank Leininger
Modified: 2021-05-03 18:42 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hank Leininger 2021-03-14 19:51:15 UTC
See ${URL}.

Post says 5 security fixes, but only 3 have published CVEs.

At least one is reported to be exploited in the wild.

Presumably dev channel -90/-91 is also vulnerable; 91.0.4442.4 was released the same day, but Google does not enumerate security fixes in it:

https://chromereleases.googleblog.com/2021/03/dev-channel-update-for-desktop_12.html
Comment 1 John Helmert III gentoo-dev Security 2021-03-14 20:28:35 UTC
Thank you for the report! Note that we don't include the fixed version in the summary until a fixed version is in tree. Maintainers, please bump.
Comment 2 Hank Leininger 2021-03-14 23:01:47 UTC
(In reply to John Helmert III from comment #1)
> Thank you for the report! Note that we don't include the fixed version in
> the summary until a fixed version is in tree. Maintainers, please bump.

Ah, thanks! I am never sure, and since there are many open chromium bugs from older versions, thought I should be specific.

FWIW to maintainers, simply copying the existing 
chromium-89.0.4389.82.ebuild to chromium-89.0.4389.90.ebuild with zero changes built successfully. 

chromium-91.0.4442.4 looks more complicated, https://github.com/stha09/chromium-patches has not updated for -91 yet and I did not attempt to make my own.
Comment 3 John Helmert III gentoo-dev Security 2021-03-17 03:31:25 UTC
Thank you!
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2021-03-19 18:11:21 UTC
amd64 stable
Comment 5 Stephan Hartmann gentoo-dev 2021-03-21 20:35:31 UTC
arm64 done
Comment 6 Larry the Git Cow gentoo-dev 2021-03-21 20:36:54 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2dc10dc13eeec16ed5e3b6a894afa0ea3c5e6be6

commit 2dc10dc13eeec16ed5e3b6a894afa0ea3c5e6be6
Author:     Stephan Hartmann <sultan@gentoo.org>
AuthorDate: 2021-03-21 20:36:17 +0000
Commit:     Stephan Hartmann <sultan@gentoo.org>
CommitDate: 2021-03-21 20:36:25 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/776181
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Stephan Hartmann <sultan@gentoo.org>

 www-client/chromium/Manifest                     |   1 -
 www-client/chromium/chromium-89.0.4389.72.ebuild | 899 -----------------------
 2 files changed, 900 deletions(-)
Comment 7 Thomas Deutschmann gentoo-dev Security 2021-04-30 22:59:48 UTC
Added to an existing GLSA request.
Comment 8 GLSAMaker/CVETool Bot gentoo-dev 2021-05-01 00:02:25 UTC
This issue was resolved and addressed in
 GLSA 202104-08 at https://security.gentoo.org/glsa/202104-08
by GLSA coordinator Thomas Deutschmann (whissi).